<?php
/*-------------------------------------------------------+
| Filename: group_user_fields.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include LOCALE.LOCALESET."admin/user_fields.php";
include LOCALE.LOCALESET."duner.php";

if(!checkrights("ROU") || !iADMIN) { redirect("../index.php"); }

if(file_exists(LOCALE.LOCALESET."duner.php")) {
    include LOCALE.LOCALESET."duner.php";
} else {
    LOCALE."English/duner.php";
}

// zliczanie dostepnych grup uzytkownikow
$user_groups = dbcount("(group_id)", DB_USER_GROUPS);

// zapisywanie dostepnych pol profilu grupy uzytkowniko
if(isSet($_POST['save_group_uf'])) {
    if(isSet($_POST['group_uf_id']) && isnum($_POST['group_uf_id'])) {
        $active_guf = "";
        if(isSet($_POST['uf_ch'])) {
            $sql_uf = dbquery("SELECT * FROM `".DB_USER_FIELDS."`");
            while($uf = dbarray($sql_uf)) {
                for($i=0;$i<count($_POST['uf_ch']);$i++) {
                    if($_POST['uf_ch'][$i] == $uf['field_id']) {
                        $active_guf .= ($active_guf != "" ? "." : "").$_POST['uf_ch'][$i];
                        $check = dbquery("SELECT * FROM `".DB_GUF."` WHERE guf_user_field_id='".$_POST['uf_ch'][$i]."' AND guf_group='".$_POST['group_uf_id']."'");
                        if(dbrows($check) == 1) {
                            dbquery("UPDATE `".DB_GUF."` SET guf_status='1' WHERE guf_user_field_id='".$_POST['uf_ch'][$i]."' AND guf_group='".$_POST['group_uf_id']."'");
                        } else {
                            dbquery("INSERT INTO `".DB_GUF."` VALUES (NULL, '".$_POST['uf_ch'][$i]."', '".$_POST['group_uf_id']."', '1')");
                        }
                    }
                }
            }
            if($active_guf != NULL) {
                $special_query = " WHERE field_id<>'0'";
                $d_guf = explode(".", $active_guf);
                for($i=0;$i<count($d_guf);$i++) {
                    $d_guf[$i] = "'".$d_guf[$i]."'";
                    $special_query .= ($special_query != "" ? "AND field_id<>" : "").$d_guf[$i];
                }
                $sql_uf = dbquery("SELECT * FROM `".DB_USER_FIELDS."`".$special_query);
                while($guf_d = dbarray($sql_uf)) {
                    dbquery("UPDATE `".DB_GUF."` SET guf_status='0' WHERE guf_user_field_id='".$guf_d['field_id']."' AND guf_group='".$_POST['group_uf_id']."'");
                }
            }
        } else {
            $check = dbquery("SELECT * FROM `".DB_GUF."` WHERE guf_group='".$_POST['group_uf_id']."'");
            if(dbrows($check) > 0) {
                dbquery("UPDATE `".DB_GUF."` SET guf_status='0' WHERE guf_group='".$_POST['group_uf_id']."'");
            }
        }
        $error = $locale['d_01'];
    }
}

// wyswietlanie zmiennej error, jesli nie jest pusta
if(isSet($error) && $error != NULL) {
    echo "<div id='close-message'><div class='admin-message'>".$error."</div></div>\n";
}

// dodaj/usun pola profilu z grupy uzytkownikow
if(isSet($_POST['group_uf'])) {
    if(isSet($_POST['group_id']) && isnum($_POST['group_id'])) {

        $group_uf = dbarray(dbquery("SELECT * FROM `".DB_USER_GROUPS."` WHERE group_id='".$_POST['group_id']."'"));

        // javascript zaznaczajacy/odznaczajacy wszystkie checkbox
        echo "<script type='text/javascript'>\n";
        echo "checked=false;\n";
        echo "function checkedAll(frm1) {\n";
        echo "var aa = document.getElementById('frm1');\n";
        echo "if (checked == false)\n";
        echo "{\n";
        echo "checked = true\n";
        echo "}\n";
        echo "else\n";
        echo "{\n";
        echo "checked = false\n";
        echo "}\n";
        echo "for(var i=0;i<aa.elements.length;i++)\n";
        echo "{\n";
        echo "aa.elements[i].checked = checked;\n";
        echo "}\n";
        echo "}\n";
        echo "</script>\n";

        opentable($locale['d_02']." - ".$group_uf['group_name']);
        echo "<form id='frm1' action='".FUSION_SELF.$aidlink."' method='POST'>\n";
        echo "<div style='width:100%;text-align:center'><h3>".$locale['d_03'].": ".$group_uf['group_name']."</h3></div>\n";
        echo "<table cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
        $result = dbquery(
            "SELECT field_id, field_name, field_cat, field_order, field_cat_name FROM ".DB_USER_FIELDS." tuf
            INNER JOIN ".DB_USER_FIELD_CATS." tufc ON tuf.field_cat = tufc.field_cat_id
            ORDER BY field_cat_order, field_order"
        );
        if(dbrows($result)) {
            echo "<td width='1%' class='tbl2' style='white-space:nowrap'><input type='checkbox' onclick='checkedAll();' /></td>\n";
            echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['401']."</strong></td>\n";
            echo "<td class='tbl2' style='white-space:nowrap'><strong>".$locale['402']."</strong></td>\n";
            echo "</tr>\n";
            $cat = 1; $i = 1; $k = 0;
            while($data = dbarray($result)) {
                if($cat != $data['field_cat_name']) {
                    $rows = dbcount("(field_id)", DB_USER_FIELDS, "field_cat='".$data['field_cat']."'");
                    $cat = $data['field_cat_name'];
                    $i = 1;
                    echo "<tr>\n<td colspan='3' class='tbl2'><strong>".$data['field_cat_name']."</strong></td>\n</tr>\n";
                }
                if(file_exists(LOCALE.LOCALESET."user_fields/".$data['field_name'].".php")) {
                    include LOCALE.LOCALESET."user_fields/".$data['field_name'].".php";
                }
                include INCLUDES."user_fields/".$data['field_name']."_include_var.php";
                $enabled_fields[] = $data['field_name'];
                echo "<tr>\n";
                echo "<td width='1%' class='tbl1' style='white-space:nowrap'>\n";
                $check_guf = dbcount("(guf_id)", DB_GUF, "guf_group='".$_POST['group_id']."' AND guf_user_field_id='".$data['field_id']."' AND guf_status='1'");
                if($check_guf == 1) {
                    $ch = " checked='checked'";
                } else {
                    $ch = "";
                }
                echo "<label><input type='checkbox' name='uf_ch[]' value='".$data['field_id']."'$ch /></label>\n";
                echo "</td>\n";
                echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$user_field_name."</td>\n";
                echo "<td class='tbl1' style='white-space:nowrap'>".$user_field_desc."</td>\n";
                echo "</tr>\n";
            }
        } else {
            echo "<td align='center' class='tbl1'>".$locale['441']."</td>\n</tr>\n";
        }
        echo "<input type='hidden' name='group_uf_id' value='".$group_uf['group_id']."' />\n";
        echo "<tr>\n<td colspan='3' class='tbl2' style='text-align:center'><input type='submit' class='button' name='save_group_uf' value='".$locale['d_04']."' /></td>\n</tr>\n";
        echo "</table>\n";
        echo "</form>\n";
        echo "<div style='width:100%;text-align:right;margin-top:20px'><i>by: <a href='http://www.duner.pl/' target='_blank'><i>duneR.info</i></a></i></div>\n";
        closetable();
    }
}

// wyswietlanie grup uzytkownikow
opentable($locale['d_05']);
if($user_groups > 0) {
    echo "<div style='width:100%;text-align:center;margin-top:10px;margin-bottom:10px'>\n";
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
    $sql = dbquery("SELECT * FROM `".DB_USER_GROUPS."`");
    echo "<select name='group_id' class='textbox' style='width:200px'>\n";
    while($group = dbarray($sql)) {
        if(isSet($_POST['group_id']) && $_POST['group_id'] == $group['group_id']) {
            $sel = " selected='selected'";
        } else {
            $sel = "";
        }
        echo "<option value='".$group['group_id']."'$sel>".$group['group_name']."</option>\n";
    }
    echo "</select>\n";
    echo "<input type='submit' class='button' name='group_uf' value='".$locale['d_06']."' />\n";
    echo "</form>\n";
    echo "</div>\n";
} else {
    echo "<div style='text-align:center;padding:10px 10px 10px 10px'>".$locale['d_07']."</div>\n";
}
echo "<div style='width:100%;text-align:right;margin-top:20px'><i>by: <a href='http://www.duner.pl/' target='_blank'><i>duneR.info</i></a></i></div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
