<?php
/*-------------------------------------------------------+
| Filename: register_options.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header_mce.php";

if(!checkrights("RO") || !iADMIN) { redirect("../index.php"); }

if(file_exists(LOCALE.LOCALESET."duner.php")) {
    include LOCALE.LOCALESET."duner.php";
} else {
    LOCALE."English/duner.php";
}

// usuwanie opcji rejestracji
if(isSet($_POST['ro_ed']) && isSet($_POST['ro_eid']) && isnum($_POST['ro_eid'])) {
    $check_ro = dbcount("(ro_id)", DB_RO, "ro_id='".$_POST['ro_eid']."'");
    if($check_ro == 1) {
        dbquery("DELETE FROM `".DB_RO."` WHERE ro_id='".$_POST['ro_eid']."'");
        if(dbcount("(ro_id)", DB_RO, "ro_id='".$_POST['ro_eid']."'") == 0) {
            $error = $locale['d_35'];
        } else {
            $error = $locale['d_36'];
        }
    } else {
        $error = $locale['d_08'];
    }
}

// zapis/edycja opcji rejestracji do bazy danych
if(isSet($_POST['save_ro']) || isSet($_POST['edit_ro'])) {
    $error = "";
    $ro_name = stripinput($_POST['ro_name']);
    $ro_active = stripinput($_POST['ro_active']);
    $ro_group = stripinput($_POST['ro_group']);
    if($ro_name == "") {
        $error .= $locale['d_09']."<br />\n";
    }
    if(!isnum($ro_active) && $ro_active != 0) {
        $error .= $locale['d_10']."<br />\n";
    }
    if(!isnum($ro_group)) {
        $error .= $locale['d_11']."<br />\n";
    }
    if(isSet($_POST['edit_ro'])) {
        $ro_id = stripinput($_POST['ro_id']);
        if(!isnum($ro_id)) {
            $error .= $locale['d_12']."<br />\n";
        } else {
            $ro_check = dbcount("(ro_id)", DB_RO, "ro_id='$ro_id'");
            if($ro_check == 0) {
                $error = $locale['d_08'];
            }
        }
    }
    $check_ro_group = dbquery("SELECT * FROM `".DB_RO."` WHERE ro_group='$ro_group'");
    $crg = dbarray($check_ro_group);
    if(dbrows($check_ro_group) == 1 && isSet($ro_id) && $crg['ro_id'] != $ro_id) {
        $error .= $locale['d_13']."<br />\n";
    }
    if($error == NULL) {
        if(isSet($_POST['save_ro'])) {
            $sql = dbquery("INSERT INTO `".DB_RO."` VALUES (NULL, '$ro_name', '$ro_active', '$ro_group', '".$userdata['user_id']."', '".time()."')");
            $inserted_id = mysql_insert_id();
            $check = dbcount("(ro_id)", DB_RO, "ro_id='$inserted_id'");
            if($check == 1 && $sql != FALSE) {
                $error = $locale['d_14'];
            } else {
                $error = $locale['d_15'];
            }
        } elseif(isSet($_POST['edit_ro'])) {
            $sql = dbquery("UPDATE `".DB_RO."` SET ro_name='$ro_name', ro_active='$ro_active', ro_group='$ro_group' WHERE ro_id='$ro_id'");
            if($sql) {
                $error = $locale['d_16'];
            } else {
                $error = $locale['d_17'];
            }
        }
    }
}

// wyswietlanie zmiennej error, jesli nie jest pusta
if(isSet($error) && $error != NULL) {
    echo "<div id='close-message'><div class='admin-message'>".$error."</div></div>\n";
}

// zliczanie dodanych opcji rejestracji
$count_ro = dbcount("(ro_id)", DB_RO);

// opcje rejestracji
opentable("Opcje rejestracji");
if($count_ro > 0) {
    echo "<div style='width:100%;text-align:center;margin-top:10px;margin-bottom:10px'>\n";
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
    echo "<select name='ro_eid' class='textbox' style='width:200px'>\n";
    $sql_ro = dbquery("SELECT * FROM `".DB_RO."`");
    while($ro = dbarray($sql_ro)) {
        if(isSet($_POST['ro_eid']) && $_POST['ro_eid'] == $ro['ro_id']) {
            $sel = " selected='selected'";
        } else {
            $sel = "";
        }
        echo "<option value='".$ro['ro_id']."'$sel>".$ro['ro_name']."</option>\n";
    }
    echo "</select>\n";
    echo "<input type='submit' class='button' name='ro_ee' value='".$locale['d_18']."' />\n";
    echo "<input type='submit' class='button' name='ro_ed' value='".$locale['d_30']."' onclick=\"return confirm('".$locale['d_19']."');\" />\n";
    echo "</form>\n";
    echo "</div>\n";
} else {
    echo "<div style='text-align:center;padding:10px 10px 10px 10px'>".$locale['d_20']."</div>\n";
}
echo "<div style='width:100%;text-align:right;margin-top:20px'><i>by: <a href='http://www.duner.pl/' target='_blank'><i>duneR.info</i></a></i></div>\n";
closetable();

// zmienie formularza opcji rejestracji
$ro_strings = 0;
if(isSet($_POST['ro_ee'])) {
    if(isnum($_POST['ro_eid'])) {
        $check_ro = dbcount("(ro_id)", DB_RO, "ro_id='".$_POST['ro_eid']."'");
        if($check_ro == 1) {
            $ro_e = dbarray(dbquery("SELECT * FROM `".DB_RO."` WHERE ro_id='".$_POST['ro_eid']."'"));
            $title = $locale['d_29'];
            $button_name = "edit_ro";
            $button_value = $locale['d_04'];
            $ro_id = $ro_e['ro_id'];
            $ro_name = $ro_e['ro_name'];
            $ro_active = $ro_e['ro_active'];
            $ro_group = $ro_e['ro_group'];
            $ro_author = $ro_e['ro_author'];
            $ro_datestamp = $ro_e['ro_datestamp'];
        } else {
            $ro_strings = 1;
        }
    } else {
        $ro_strings = 1;
    }
} else {
    $ro_strings = 1;
}
if($ro_strings == 1) {
    $title = $locale['d_21'];
    $button_name = "save_ro";
    $button_value = $locale['d_22'];
    $ro_id = "";
    $ro_name = "";
    $ro_active = "";
    $ro_group = "";
    $ro_author = "";
    $ro_datestamp = "";
}

// formularz opcji rejestracji
opentable($title);
echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
echo "<table cellspacing='0' cellpadding='0' class='center'>\n";
echo "<tr>\n";
echo "<td class='tbl1'>".$locale['d_23']."</td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' style='width:200px' name='ro_name' value='$ro_name' /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1'>".$locale['d_24']."</td>\n";
echo "<td class='tbl1'>\n";
if($ro_active == 1 || $ro_active == NULL) {
    $sel1 = " checked='checked'";
    $sel2 = "";
} else {
    $sel1 = "";
    $sel2 = " checked='checked'";
}
echo "<label><input type='radio' name='ro_active' value='1'$sel1 />".$locale['d_25']."</label>\n";
echo "<label><input type='radio' name='ro_active' value='0'$sel2 />".$locale['d_26']."</label>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1'>".$locale['d_27']."</td>\n";
echo "<td class='tbl1'>\n";
$sql_ug = dbquery("SELECT * FROM `".DB_USER_GROUPS."`");
if(dbrows($sql_ug) > 0) {
    echo "<select name='ro_group' class='textbox' style='width:200px'>\n";
    while($group = dbarray($sql_ug)) {
        if($ro_group == $group['group_id']) {
            $sel = " selected='selected'";
        } else {
            $sel = "";
        }
        echo "<option value='".$group['group_id']."'$sel>".$group['group_name']."</option>\n";
    }
    echo "</select>\n";
} else {
    echo $locale['d_28'];
}
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
if($button_name == "edit_ro") {
    if(isnum($ro_id)) {
        echo "<input type='hidden' name='ro_id' value='$ro_id' />\n";
    } else {
        echo "<input type='hidden' name='ro_id' value='non-defined' />\n";
    }
}
echo "<td colspan='2' class='tbl1' style='text-align:center'><input type='submit' class='button' name='$button_name' value='$button_value' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<div style='width:100%;text-align:right;margin-top:20px'><i>by: <a href='http://www.duner.pl/' target='_blank'><i>duneR.info</i></a></i></div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
