<?php
/*-------------------------------------------------------+
| Filename: duner_setup.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "maincore.php";

if(file_exists(LOCALE.LOCALESET."duner.php")) {
    include LOCALE.LOCALESET."duner.php";
} else {
    LOCALE."English/duner.php";
}

if(iADMIN) {

    $result = true;

    $result = dbquery("INSERT INTO `".DB_ADMIN."` VALUES (NULL, 'RO', 'duner.gif', 'Opcje rejestracji', 'register_options.php', '4')");
    if (!$result) { $fail = true; }

    $result = dbquery("INSERT INTO `".DB_ADMIN."` VALUES (NULL, 'ROU', 'duner.gif', 'Pola profilu grup', 'group_user_fields.php', '2')");
    if (!$result) { $fail = true; }

    $admin_rights = $userdata['user_rights'].".RO.ROU";
    $result = dbquery("UPDATE `".DB_USERS."` SET user_rights='$admin_rights' WHERE user_id='".$userdata['user_id']."'");
    if (!$result) { $fail = true; }

    $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."group_user_fields");
    $result = dbquery("CREATE TABLE ".$db_prefix."group_user_fields (
    guf_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    guf_user_field_id INT(10) UNSIGNED NOT NULL DEFAULT '0',
    guf_group INT(10) UNSIGNED NOT NULL DEFAULT '0',
    guf_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (guf_id)
    ) ENGINE=MyISAM;");
    if (!$result) { $fail = true; }

    $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."register_options");
    $result = dbquery("CREATE TABLE ".$db_prefix."register_options (
    ro_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    ro_name VARCHAR(225) NOT NULL DEFAULT '',
    ro_active TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    ro_group INT(10) UNSIGNED NOT NULL DEFAULT '0',
    ro_author INT(10) UNSIGNED NOT NULL DEFAULT '0',
    ro_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (ro_id)
    ) ENGINE=MyISAM;");
    if (!$result) { $fail = true; }

    if($result === true) {
        echo "Modyfikacja zostala pomyslnie zainstalowana.";
    } else {
        echo "Wystapil nieoczekiwany blad podczas instalacji modyfikacji. Sproboj ponownie.";
    }
} else {
    echo "Musisz byc zalogowany jako Glowny Administrator, aby zainstalowac modyfikacje.";
}

?>
